Below are two tables showing the two problem classes that prevent installation of foreign architecture binaries

We try to install all binary packages from a dummy architecture generated from amd64 (called armhf here) on amd64.

A machine parsable version can be retrieved in dose yaml format

Hover over a package name with your cursor for architecture and version information. Hovering over the arrows in the depchain columns will show the dependency that led from one package in the chain to the next.

src:proj

Top 10 summary

The following is a summary of the full "missing" and "conflict" tables below. It only shows the first and last columns of the full tables and only displays the top 10 rows.

Missing

# of packages per missingUnsatisfied dependency
289proj-data:armhf

Conflict

# of packages per conflictConflict
3libproj12:amd64

missing

The packages in the third column cannot satisfy their (possibly transitive) dependencies because of the unsatisfied dependency in the last column. This is mostly because the binary package providing the dependency in the last column is Multi-Arch:no. Some of these packages need to be Multi-Arch:foreign instead. In some other cases, Build-Depends can be annotated with :native. The depchains column shows the dependency chain(s) from the packages in the third column to the unsatisfied dependency in the last column. The "(*)" placeholder in the depchains column represents any package in the third column. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared unsatisfied dependency (last column) and then by shared dependency chain (fourth column). The groups are sorted by the number of packages missing the dependency in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chain.

# of packages per missing# of packages per depchainpackages with missing (possibly transitive) dependenciesDepchainsUnsatisfied dependency
289 55cdo cgi-mapserver gpx2shp grass-core ifrit (O: #618849) libgdal20 libgeo-proj4-perl libgeotiff2 libmagplus3v5 libmapnik3.0 libmapscript-java libmapscript-perl libmapserver2 libogdi3.2 libqgis-analysis2.14.11 libqgis-app2.14.11 libqgis-core2.14.11 libqgis-customwidgets libqgis-gui2.14.11 libqgis-networkanalysis2.14.11 libqgis-server2.14.11 libqgisgrass7-2.14.11 libqgispython2.14.11 libspatialite7 libsqlite3-mod-spatialite libvtk6.3 mapnik-utils mapserver-bin merkaartor ncl-ncarg ogdi-bin openorienteering-mapper osm2pgsql pdl python-mapnik python-mapscript python-pyspatialite python-qgis python3-mapnik qgis qgis-providers qgis-server qlandkartegt qmapshack ruby-mapscript saga sosi2osm spatialite-bin spatialite-gui sumo survex therion thuban xastir zygrib(*)libproj12 proj-data:armhf
37dans-gdal-scripts gdal-bin libalgorithms1 libcitygml2 libgazebo7 libgdal-java libimageclasses1 liblas3 libopenscenegraph-3.4-130 libopenscenegraph100v5 libosgearth5 libotb-apps libotbgdaladapters-5.8-1 libotbice-5.8-1 libotbiogdal-5.8-1 libotbmonteverdicore-5.8-1 libotbossimadapters-5.8-1 libotbossimplugins-5.8-1 libotbprojection-5.8-1 libotbtestkernel-5.8-1 libotbtransform-5.8-1 libotbvectordatabase-5.8-1 libpdal-base4 mysql-workbench node-srs octave-mapping openscenegraph-plugin-osgearth osmcoastline pktools pprepair prepair python-fiona python-gdal python-rasterio python3-fiona python3-gdal python3-rasterio(*)libgdal20libproj12
35camitk-actionstatemachine camitk-config camitk-imp fw4spl gammaray-plugin-objectvisualizer ginkgocadx itksnap libasl0 libcamitk-dev libcamitk4 libdolfin2016.2 libliggghts3 libmia-2.4-0 libpcl-apps1.8 libpcl-io1.8 libpcl-surface1.8 libpcl-visualization1.8 libvtk6-jni libvtk6.3-qt libvtkdicom0.7 libvtkgdcm-cil libvtkgdcm2.6 libyade mia-tools mitools odin python-casmoothing python-vtk-dicom python-vtkgdcm python-woo python3-woo qfitsview qnifti2dicom therion-viewer vtk-dicom-tools(*)libvtk6.3libproj12
22gmt libbase1 libcitygml-bin libfileclasses1 libgmt-dev liblas-bin liblas-c3 libosgearthannotation5 libosgearthfeatures5 libosgearthqt5 libosgearthsymbology5 libosgearthutil5 libotbapplicationengine-5.8-1 libotbiokml-5.8-1 libpdal-plang4 libpdal-plugin-greyhound libpdal-plugin-icebridge libpdal-plugin-pgpointcloud libpdal-plugin-python mapcache-tools osgearth pdal(*)libgdal20libproj12
6fgrun flightgear libkido-gui-osg0.1 libopensurgsim libsfcgal1 openscenegraph(*)libopenscenegraph100v5libgdal20libproj12
6grads libossim1 librasterlite2-1 libsqlite3-mod-rasterlite2 libterralib3 ossim-core(*)libgeotiff2libproj12
5liblwgeom-2.3-0 python-cartopy python-pyproj python3-cartopy python3-pyproj(*)libproj12
4libmagics++-dev libmagics++-metview-dev python-magics++ python3-magics++(*)libmagplus3v5libproj12
4libmiaviewit0 mia-viewit python-mia python3-mia(*)libmia-2.4-0libvtk6.3libproj12
4libotbcommandline-5.8-1 libotbmonteverdigui-5.8-1 libotbqtwidget-5.8-1 otb-bin-qt(*)libotbapplicationengine-5.8-1libgdal20libproj12
4libpdl-io-matlab-perl libpdl-linearalgebra-perl libpdl-netcdf-perl libpdl-stats-perl(*)pdllibproj12
4libvtk6-dev python-vtk6 tcl-vtk6 vtk6(*)libvtk6.3libproj12
3libcnoid-dev libopensurgsim-dev libsimgear-dev(*)libopenscenegraph-devlibopenscenegraph100v5libgdal20libproj12
3libdolfin-dev libdolfin2016.2-dbg python-dolfin(*)libdolfin2016.2libvtk6.3libproj12
3libgdal-perl libgmt5 postgresql-9.6-ogr-fdw(*)libgdal20libproj12
3libotbimageio-5.8-1 libotbiotilemap-5.8-1 libotbvectordataio-5.8-1(*)libotbiogdal-5.8-1libgdal20libproj12
3libproj12 python-pyproj python3-pyproj(*)
2grass-dev libpdal-dev(*)libproj-devlibproj12
2libgeotiff-dev libgeotiff2-dbg(*)libgeotiff2libproj12
2liblas-c-dev liblas-dev(*)libgdal-devlibgdal20libproj12
2libmapserver-dbg libmapserver-dev(*)libmapserver2libproj12
2libncarg0 postgis(*)libgdal20libproj12
2libotbcarto-5.8-1 libotbmetadata-5.8-1(*)libotbossimadapters-5.8-1libgdal20libproj12
2libpdl-io-hdf5-perl libtfbs-perl(*)pdllibproj12
2libproj-dev libproj-java(*)libproj12
2librasterlite2-dev rasterlite2-dbg(*)librasterlite2-1libgeotiff2libproj12
2libsfcgal-dev sfcgal-dbg(*)libsfcgal1libopenscenegraph100v5libgdal20libproj12
2libspatialite-dbg libspatialite-dev(*)libspatialite7libproj12
2mayavi2 paraview-python(*)python-vtk6libvtk6.3libproj12
2python-cdo python3-cdo(*)cdolibproj12
2python-grib python-pyresample(*)python-pyprojlibproj12
2python3-grib python3-pyresample(*)python3-pyprojlibproj12
2qgis-plugin-grass qgis-provider-grass(*)qgislibproj12
1epigrass(*)python-gdallibgdal20libproj12
1fiona(*)python3-fionalibgdal20libproj12
1gmt-dbg(*)libgmt5libgdal20libproj12
1grass-gui(*)grass-corelibproj12
1libasl-dev(*)libasl0libvtk6.3libproj12
1libcitygml-dev(*)libcitygml2libgdal20libproj12
1libgazebo7-dev(*)libgazebo7libgdal20libproj12
1libgdal-dev(*)libgdal20libproj12
1libgdal20-2.1.2-grass(*)grass-corelibproj12
1libkido-gui-osg-dev(*)libkido-gui-osg0.1libopenscenegraph100v5libgdal20libproj12
1libliggghts-dev(*)libliggghts3libvtk6.3libproj12
1liblwgeom-dev(*)liblwgeom-2.3-0libproj12
1libmapnik-dev(*)libgdal-devlibproj-devlibproj12
1libmia-2.4-dev(*)libmia-2.4-0libvtk6.3libproj12
1libmiaviewit-dev(*)libmiaviewit0libmia-2.4-0libvtk6.3libproj12
1libncarg-dev(*)ncl-ncarglibproj12
1libogdi3.2-dev(*)libogdi3.2libproj12
1libopenscenegraph-3.4-dev(*)libopenscenegraph-3.4-130libgdal20libproj12
1libopenscenegraph-dev(*)libopenscenegraph100v5libgdal20libproj12
1libosgearth-dev(*)libosgearth5libgdal20libproj12
1libossim-dev(*)libgeotiff-devlibgeotiff2libproj12
1libotb(*)libotbapplicationengine-5.8-1libgdal20libproj12
1libotb-dev(*)libgdal-devlibproj-devlibproj12
1libpcl-dev(*)libpcl-apps1.8libvtk6.3libproj12
1libpcl-recognition1.8(*)libpcl-io1.8libvtk6.3libproj12
1libpdal-plugin-sqlite(*)libsqlite3-mod-spatialitelibproj12
1libpdal-plugins(*)libpdal-plugin-sqlitelibsqlite3-mod-spatialitelibproj12
1libqgis-dev(*)libgdal-devlibproj-devlibproj12
1libterralib-dev(*)libterralib3libgeotiff2libproj12
1libvtk-dicom-dev(*)libvtkdicom0.7libvtk6.3libproj12
1libvtk6-java(*)libvtk6-jnilibvtk6.3libproj12
1libvtk6-qt-dev(*)libvtk6-devlibvtk6.3libproj12
1libvtkgdcm-java(*)libvtkgdcm2.6libvtk6.3libproj12
1libvtkgdcm2-dev(*)libvtkgdcm2.6libvtk6.3libproj12
1merkaartor-dbg(*)merkaartorlibproj12
1metview(*)libgeotiff2libproj12
1monteverdi(*)libotbmonteverdicore-5.8-1libgdal20libproj12
1nifti2dicom-dbg(*)qnifti2dicomlibvtk6.3libproj12
1nik4(*)python-mapniklibproj12
1node-mapnik(*)mapnik-utilslibproj12
1openscenegraph-3.4(*)libopenscenegraph-3.4-130libgdal20libproj12
1otb-bin(*)libotb-appslibgdal20libproj12
1otb-testdriver(*)libotbgdaladapters-5.8-1libgdal20libproj12
1pktools-dev(*)libalgorithms1libgdal20libproj12
1postgis-gui(*)liblwgeom-2.3-0libproj12
1postgresql-9.6-pgrouting(*)postgresql-9.6-postgis-2.3liblwgeom-2.3-0libproj12
1postgresql-9.6-postgis-2.3(*)liblwgeom-2.3-0libproj12
1proj-bin(*)libproj12
1python-dolfin-dbg(*)python-dolfinlibdolfin2016.2libvtk6.3libproj12
1python-otb(*)libotbapplicationengine-5.8-1libgdal20libproj12
1python-pdal(*)libpdal-base4libgdal20libproj12
1python-sfepy(*)mayavi2python-vtk6libvtk6.3libproj12
1qgis-dbg(*)libqgis-app2.14.11libproj12
1spatialite-gui-dbg(*)spatialite-guilibproj12
1survex-aven(*)survexlibproj12
1viking(*)libmapnik3.0libproj12

conflict

The packages in the third column cannot satisfy their (possibly transitive) dependencies because the last package(s) in the first depchain have an unsatisfied conflict which is shown in the last column. The second depchain column shows the dependency chain(s) to the package which the last package(s) in the first depchain conflict with. Sometimes, multiple dependency chains sharing the same conflict exist. Hovering over the arrows in the depchains column with your cursor will show the dependency that led from one package in the chain to the next.

The output is first grouped by the shared conflicting dependency (last column) and then by the shared dependency chains (fourth and fifth column). The groups are sorted by the number of packages sharing the conflict in the last column. Within each group, the output is sorted by the number of packages sharing the same dependency chains.

# of packages per conflict# of packages per depchainpackages with (possibly transitive) conflicting dependenciesDepchain 1Depchain2Conflict
3 1libgazebo7-dev(*)gazebo7-plugin-baselibgdal20libproj12(*)libgdal-devlibgdal20libproj12 libproj12:amd64
1libmagics++-dev(*)magics++libproj12(*)libmagplus3v5libproj12
1rasterlite2-dbg(*)rasterlite2-binlibgeotiff2libproj12(*)librasterlite2-1libgeotiff2libproj12

generated: 20170612T000000Z


The JSON data used to generate these pages was computed using botch, the bootstrap/build ordering tool chain. The source code of botch can be redistributed under the terms of the LGPL3+ with an OCaml linking exception. The source code can be retrieved from https://gitlab.mister-muffin.de/debian-bootstrap/botch

The html pages were generated by code which can be retrieved from https://gitlab.mister-muffin.de/debian-bootstrap/bootstrap_debian_net and which can be redistributed under the terms of the AGPL3+

For questions and bugreports please contact j [dot] schauer [at] email [dot] de.